;StartIgnoreForInline
;
; From the Amsterdam Catalog of CSound Instruments
; ACCCI:     01_01_2A.SCO
;
;The head of this file gets inlined for your
; .sco save in FTS. - everything up to the first i instruction.
;
;Any example .sco file. from a CSound instrument
;Catalog will be suitable, such as this one (or make your own 
;if an advanced C-Sounder);. 
;
;Use the matching .orc file for your .orc file
;
;This one should be used with the Params in the C-sound Instrs for
;parts window set to
;AMP CPS   31 
;Try 11 as well for the last parameter, and any number from 31 to 36
;- it chooses from the function tables later in this file.
;
;AMP there gets replaced by the raw amplitude (range 0 to 32000)
;in the saved notes in the score.
;
;CPS gets replaced by the frequency in cycles per second.
;
;Make sure you don't have too many or too few of the parameters,
;or you get error messages. You also get warnings if you set the volumes
; too high, and errors if you use the wrong .sco file for the .orc file 
; - the last usually because the score is missing necessary function tables.
;
;The format for volumes and frequencies varies depending on the instrument
;and you may see DB (decibels) instead of AMP for the volume,
;and PCH for the frequency. PCH gets replaced by a number of the form
;7.02 for 2 semitones above the C of the 7th octave - and so 
; e.g. a pure major third will be 7.0386
;So if the example score has numbers such as 7.02 for the
;frequencies then it is using PCH. If it is using small numbers for the
;volumes, it is using DB instead of AMP. Probably there
;will be some comment somewhere in the help or the score to explain which it uses.
;
;Here the header before the first i instruction reads
;   start  idur  iamp  ifq1  if2
;
; standing for
; start time, duration, amp (so use AMP) frequency (so use CPS) and if2 -that's the function
; table parameter
;
; You need to resave your score in FTS whenever you change any of the parameters that
; affect how the tune is played.
;
; This next line, and the matching line at the start of this section can be used to mark out
; sections of the example .sco file that you don't want inlined into your score. The rest will be
; all be inlined, including coments, up to the first i instruction.
;
;EndIgnoreForInline

; ************************************************************************
; ACCCI:     01_01_2A.SCO
; timbre:    from reed towards plucked chord, effect of changing envelopes
; source:    250.orc Reedy and Plucked Tones, Choral Effect, Risset(1969)
; coded:     jpg 8/93


; GEN functions **********************************************************
; waveform
f11 0  1024  10  .4 .3 .35 .5 .1 .2 .15 0 .02 .05 .03  ;  complex waveform
                                             ;  with 10 weighted harmonics
; envelopes
f31 0  512   7  0 86  1    85 .8  85  .6 85 .7 85 .6 86 0
f32 0  512   7  0 86   .7  85 .8  85 1   85 .5 85 .5 86 0
f33 0  512  -7  0  1   .6 109 .9 150  .7 100 .8 80 .6 72 0
f34 0  512  -7  0  1   .5 209 .6 230  .5 72 0 ; <minus> inhibits rescaling
f35 0  512  -7  0  1   .6  19 .9 300 .3 192 0
f36 0  512  -7  0  1   .5  39 .8 260 .2 212 0

; score ******************************************************************
;   start  idur  iamp  ifq1  if2

;INSTR 2
; ************************************************************************
; ACCCI:     20_10_2.SCO
; coded:     jpg 8/92

; GEN functions **********************************************************
; carriers
f101  0  512  10  1
; envelopes
f131 0 512 7   1 64 0  448 0                ; index envelope
f151 0 513 5  .8 113 1   10   1 390 .0001   ; amplitude envelope

; score ******************************************************************
;    idur  iamp   pch

i1   1      .5   8000   486   31           ; 6 different envelopes
i1   1.5    .25  .      615
i1   +      .25  .      648
i1   +      .5   .      729
i1   +      .25  .      972
i1   +      .    .      890
i1   +      .    .      820
i1   +      .    .      729
i1   +      .5   .      820
i1   +     2.0   .      729

s
i1   1      .5   8000   486   32
i1   1.5    .25  .      615
i1   +      .25  .      648
i1   +      .5   .      729
i1   +      .25  .      972
i1   +      .    .      890
i1   +      .    .      820
i1   +      .    .      729
i1   +      .5   .      820
i1   +     2.0   .      729

s

i1   1      .5   8000   486   33
i1   1.5    .25  .      615
i1   +      .25  .      648
i1   +      .5   .      729
i1   +      .25  .      972
i1   +      .    .      890
i1   +      .    .      820
i1   +      .    .      729
i1   +      .5   .      820
i1   +     2.0   .      729

s

i1   1      .5   8000   486   34
i1   1.5    .25  .      615
i1   +      .25  .      648
i1   +      .5   .      729
i1   +      .25  .      972
i1   +      .    .      890
i1   +      .    .      820
i1   +      .    .      729
i1   +      .5   .      820
i1   +     2.0   .      729

s

i1   1      .5   8000   486   35
i1   1.5    .25  .      615
i1   +      .25  .      648
i1   +      .5   .      729
i1   +      .25  .      972
i1   +      .    .      890
i1   +      .    .      820
i1   +      .    .      729
i1   +      .5   .      820
i1   +     2.0   .      729

s

i1   1      .5   8000   486   36
i1   1.5    .25  .      615
i1   +      .25  .      648
i1   +      .5   .      729
i1   +      .25  .      972
i1   +      .    .      890
i1   +      .    .      820
i1   +      .    .      729
i1   +      .5   .      820
i1   +     2.0   .      729

e
